# OnnxMap.OnnxMapValueType (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Enum OnnxMap.OnnxMapValueType

- java.lang.Object
- - java.lang.Enum<OnnxMap.OnnxMapValueType>
  - - ai.onnxruntime.OnnxMap.OnnxMapValueType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OnnxMap.OnnxMapValueType>`

Enclosing class:
  OnnxMap

    public static enum OnnxMap.OnnxMapValueType
    extends java.lang.Enum<OnnxMap.OnnxMapValueType>

An enum representing the Java type of the values stored in an `OnnxMap`.

### Enum Constant Summary

Enum Constants
`DOUBLE`
`FLOAT`
`INVALID`
`LONG`
`STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static OnnxMap.OnnxMapValueType` `mapFromInt​(int value)` Gets the enum type from it's integer id.
`static OnnxMap.OnnxMapValueType` `mapFromOnnxJavaType​(OnnxJavaType type)` Maps a `OnnxJavaType` into a map value type.
`static OnnxMap.OnnxMapValueType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OnnxMap.OnnxMapValueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID

    public static final OnnxMap.OnnxMapValueType INVALID

#### STRING

    public static final OnnxMap.OnnxMapValueType STRING

#### LONG

    public static final OnnxMap.OnnxMapValueType LONG

#### FLOAT

    public static final OnnxMap.OnnxMapValueType FLOAT

#### DOUBLE

    public static final OnnxMap.OnnxMapValueType DOUBLE

### Method Detail

#### values

    public static OnnxMap.OnnxMapValueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OnnxMap.OnnxMapValueType c : OnnxMap.OnnxMapValueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OnnxMap.OnnxMapValueType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### mapFromInt

    public static OnnxMap.OnnxMapValueType mapFromInt​(int value)

Gets the enum type from it's integer id. Used by native code.

Parameters:
  `value` - The integer id.
Returns:
  The enum instance.

#### mapFromOnnxJavaType

    public static OnnxMap.OnnxMapValueType mapFromOnnxJavaType​(OnnxJavaType type)

Maps a `OnnxJavaType` into a map value type. If it's not a valid map type return `INVALID`.

Parameters:
  `type` - The Java type.
Returns:
  The equivalent Map value type.